[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowActionBarComponent

# Class: WindowActionBarComponent

Defined in: [packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:17](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts#L17)

## Constructors

### new WindowActionBarComponent()

> **new WindowActionBarComponent**(`context`, `injector`): [`WindowActionBarComponent`](WindowActionBarComponent.md)

Defined in: [packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:22](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts#L22)

#### Parameters

##### context

`any`

##### injector

`Injector`

#### Returns

[`WindowActionBarComponent`](WindowActionBarComponent.md)

## Properties

### definitions

> **definitions**: `null` \| `ButtonDefinition`\<`any`, `Action`\>[] = `null`

Defined in: [packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:19](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts#L19)

***

### injector

> **injector**: `Injector`

Defined in: [packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:22](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts#L22)

***

### position

> **position**: `string` = `'start'`

Defined in: [packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:20](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts#L20)
